roar_simple_connect(3)

NAME
roar_simple_connect, roar_simple_connect2 - Opens a connection to RoarAudio's sound server

SYNOPSIS

#include <roaraudio.h>

int roar_simple_connect (struct roar_connection * con, char * server, char * name); int roar_simple_connect2(struct roar_connection * con, char * server, char * name, int flags, uint_least32_t timeout);

DESCRIPTION
This calls opens a connection to the RoarAudio's sound server. To disconnect use roar_disconnect(3).

PARAMETERS

con The roar_connection object to be filled on success with all data needed for comunicating with the server. This is used by nearly all other functions.

server
    The host or filename of the socket of the server. Should normally be NULL to try default locations.

name
    The name of this client. Should be the name of the player without any paths or filenames.

flags
    Flags used to connect to the server. Currently only ROAR_ENUM_FLAG_NONE and ROAR_ENUM_FLAG_NONBLOCK are supported. ROAR_ENUM_FLAG_NONBLOCK disables some of the server location features.

timeout
    Timeout for the connection. A value of zero means no timeout. Currently timeouts are not supported.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roar_disconnect(3), libroar(7), RoarAudio(7).